Skip to main content
DELETE
/
v1
/
orders
/
{sourceOrderId}
/
fulfillments
/
{sourceFulfillmentId}
Delete Fulfillment
curl --request DELETE \
  --url https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/fulfillments/{sourceFulfillmentId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/fulfillments/{sourceFulfillmentId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/fulfillments/{sourceFulfillmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok"
}
{
"message": "Unauthorized",
"statusCode": 401
}
{
"message": "Not Found",
"error": "Not Found",
"statusCode": 404
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sourceOrderId
string
required
sourceFulfillmentId
string
required

Response

The fulfillment has been successfully mark for cancelled.

status
string
required
read-only
Example:

"ok"